*, *:after, *:before {
  box-sizing: border-box;
}

.btn-float {
  width: 50px;
  height: 50px;
  line-height: 50px;
  display: inline-block;
  border: none;
  font-size: 22px;
  color: #fff;
  text-align: center;
  position: relative;
  transition: 0.3s;
  border-radius: 50%;
  cursor: pointer;
  box-shadow: 0 2px 5px 0 rgba(0, 0, 0, 0.11);
}
.btn-float:hover {
  text-decoration: none;
  box-shadow: 0 5px 10px rgba(0, 0, 0, 0.15), 0 4px 15px rgba(0, 0, 0, 0.13);
}
.btn-float:active, .btn-float:focus {
  outline: none;
}
.btn-float + .btn-float {
  margin-left: 5px;
}

.red {
	background: #ff0000;
  }

.yellow {
  background: #ffd700;
}

.blue {
  background: #065cfa;
}

.lblue {
	background: #0089fa;
  }

.green {
  background: #00e676;
}

.purple {
  background: #8e24aa;
}

.pink {
  background: #e91e63;
}

.icon-bars {
  background: #fff;
  height: 1px;
  width: 22px;
  margin: auto;
  display: block;
  position: relative;
  -moz-transition: 0.3s 0.3s;
  -o-transition: 0.3s 0.3s;
  -webkit-transition: 0.3s;
  -webkit-transition-delay: 0.3s;
  transition: 0.3s 0.3s;
}
.icon-bars:after {
  content: '';
  position: absolute;
  height: 22px;
  width: 1px;
  background: #fff;
  top: -10px;
}

.float-btn-group {
  position: relative;
  float: right;
  transition: 0.3s;
}
.float-btn-group .btn-triger {
  z-index: 15;
  float: left;
}
.float-btn-group .btn-list {
  position: absolute;
  right: 0;
  transition: 0.3s;
}
.float-btn-group .btn-list li {
  display: inline-block;
}
.float-btn-group.open .icon-bars {
  -webkit-transform: rotate(45deg);
  transform: rotate(45deg);
}

.model-2 {
  background: #b0bec5;
}
.model-2 .float-btn-group {
  float: right;
  left: 20px;
  bottom: 50px;
  position: fixed;
  cursor: pointer;
  z-index: 10;
}
.model-2 .float-btn-group .icon-bars {
  transition: 0.3s;
}
.model-2 .float-btn-group .btn-list .btn-float {
  position: absolute;
  right: 0;
  top: 0;
  opacity: 0;
  -webkit-transform: scale(0, 0);
  transform: scale(0, 0);
  transition: all 0.3s ease;
}
.model-2 .float-btn-group .btn-list .btn-float:nth-child(1) {
  top: -55px;
  transition-delay: 0.1s;
}
.model-2 .float-btn-group .btn-list .btn-float:nth-child(2) {
  top: -110px;
  transition-delay: 0.2s;
}
.model-2 .float-btn-group .btn-list .btn-float:nth-child(3) {
  top: -165px;
  transition-delay: 0.3s;
}
.model-2 .float-btn-group .btn-list .btn-float:nth-child(4) {
  top: -220px;
  transition-delay: 0.4s;
}
.model-2 .float-btn-group .btn-list .btn-float:nth-child(5) {
  top: -275px;
  transition-delay: 0.5s;
}
.model-2 .float-btn-group .btn-list .btn-float:nth-child(6) {
  top: -330px;
  transition-delay: 0.6s;
}
.model-2 .float-btn-group .btn-list .btn-float:nth-child(7) {
  top: -385px;
  transition-delay: 0.7s;
}
.model-2 .float-btn-group.open .btn-list .btn-float {
  opacity: 1;
  -webkit-transform: scale(0.9, 0.9);
  transform: scale(0.9, 0.9);
}
